tbb::zero_allocator< T, Allocator >::rebind< U > Struct Template Reference

`#include <tbb_allocator.h>`

Collaboration diagram for tbb::zero_allocator< T, Allocator >::rebind< U >:

## Public Types

typedef zero_allocator< U, Allocator > | other

## Detailed Description

### template<typename T, template< typename X > class Allocator = tbb_allocator>
template<typename U>
struct tbb::zero_allocator< T, Allocator >::rebind< U >

Definition at line 162 of file tbb_allocator.h.

## Member Typedef Documentation

## other

template<typename T, template< typename X > class Allocator = tbb_allocator>
template<typename U >

typedef zero_allocator<U, Allocator> tbb::zero_allocator< T, Allocator >::rebind< U >::other

Definition at line 163 of file tbb_allocator.h.

The documentation for this struct was generated from the following file:

- tbb_allocator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.